Bug 46627 - [PATCH] upgrade stella to 1.2 (1.1 is broken in -CURRENT)
Summary: [PATCH] upgrade stella to 1.2 (1.1 is broken in -CURRENT)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-12-30 05:20 UTC by Keith Jones
Modified: 2003-01-02 08:03 UTC (History)
0 users

See Also:


Attachments
file.diff (375 bytes, patch)
2002-12-30 05:20 UTC, Keith Jones
no flags Details | Diff
file.diff (909 bytes, patch)
2002-12-30 05:20 UTC, Keith Jones
no flags Details | Diff
file.diff (220 bytes, patch)
2002-12-30 05:20 UTC, Keith Jones
no flags Details | Diff
file.diff (701 bytes, patch)
2002-12-30 05:20 UTC, Keith Jones
no flags Details | Diff
file.diff (887 bytes, patch)
2002-12-30 05:20 UTC, Keith Jones
no flags Details | Diff
file.diff (2.49 KB, patch)
2002-12-30 05:20 UTC, Keith Jones
no flags Details | Diff
diffs.txt (5.16 KB, text/plain)
2003-01-01 01:11 UTC, Keith Jones
no flags Details
patch-ae (339 bytes, text/plain)
2003-01-01 01:11 UTC, Keith Jones
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Keith Jones 2002-12-30 05:20:00 UTC
	Version 1.1 of the Stella port breaks numerous C++ standards,
	which GCC 2.95 didn't have a problem with but GCC 3.2.1 doesn't
	like any more. As a result, this port can't be built in 5.0-RC.

Fix: Patches below (I can send you a tarball if it's easier).

=== NEW FILE: files/patch-ae ===
How-To-Repeat: 	# cd /usr/ports/emulators/stella
	# make
Comment 1 Keith Jones 2003-01-01 01:11:28 UTC
Oops, accidentally broke the makefile!

Find revised diffs attached together with new patch.

Keith
Comment 2 Ying-Chieh Liao freebsd_committer 2003-01-02 08:03:03 UTC
State Changed
From-To: open->closed

committed, thanks